Browse code

disable duma tests by default, they time out even on fast machines.

git-svn: trunk@4866

Török Edvin authored on 2009/02/26 05:41:16
Showing 2 changed files
... ...
@@ -1,3 +1,8 @@
1
+Wed Feb 25 23:14:33 EET 2009 (edwin)
2
+------------------------------------
3
+ * unit_tests/duma_tests.sh: disable duma tests by default, they time
4
+ out even on fast machines.
5
+
1 6
 Wed Feb 25 22:01:53 EET 2009 (edwin)
2 7
 ------------------------------------
3 8
  * unit_tests/check_clamd.c: fix build with old versions of check
... ...
@@ -1,5 +1,6 @@
1 1
 #!/bin/sh
2 2
 # Run under duma
3
+test "x$RUNDUMA" = "x1" || { echo "*** duma tests skipped by default, use 'make check RUNDUMA=1' to activate (but don't report bugs about timeouts!)"; exit 77; }
3 4
 LIBDIRS=`../libtool --config | grep sys_lib_search_path_spec | sed -e 's/.*"\(.*\)"/\1/'`
4 5
 if test -z "$LIBDUMA"; then
5 6
 	for i in $LIBDIRS; do